* {
    box-sizing: border-box;
}
form {
	width:auto;
	margin:0 auto 0 auto;
	}

#formWrapper {
	width:450px;
	background:#E9E9E9;
	margin:2em auto 0 auto;
	padding:.5em;
	border:solid 5px #CCCCCC; 
}
input, select, textarea {
	font-family: roboto;
	font-size: 1em;
	font-weight: 400;
	color:#1F232F;
	margin: 5px 2.5%;
    width: 100%;
	padding: 3px;
    border: 1px solid #ccc;
    border-radius: 0px;
    resize: vertical;
}

input[name=change] {
	background-color:red;
    color: white;
	width: 100%;
	height: 55px;
	margin: auto;
    padding: 10px 5px 10px 5px;
    border: none;
    border-radius: 3px;
    cursor: pointer;
	text-align: center;
}
input[type=submit] {
    background-color:#1F232F;
    color: white;
	width: 100%;
	height: 55px;
	margin: auto;
    padding: 10px 5px 10px 5px;
    border: none;
    border-radius: 3px;
    cursor: pointer;
	text-align: center;
}
input[type=submit]:hover {
	color: black;
}


input[type="password"], input[type="search"]{
	Float: left;
	font-family: 'roboto', 'FontAwesome';
	font-size: 1em;
	font-weight: 400;
	color:#1F232F;
	margin: 2px 2.5%;
    width: 95%;
	padding: 1px;
    border: 1px solid #ccc;
    border-radius: 4px;
    resize: vertical;
}

input[type="text"],input[type="password"] {
	padding: 5px;
	margin: 2px 2.5%;
	width: 95%;
}

#formbox {
	border-radius: 1px;
	background-color: #EEEEEE;
	padding: 5px;
	border:solid 5px #CCCCCC; 
	height: auto;
	overflow: hidden;
}


#formbox .submit-btn input[type="submit"] {
    margin: 25px 0 25px 0;
	width: 100%;
}

#formbox input[type="submit"] {
	background-color:#1F232F;
    color: white;
	height: 55px;
	font-size: 20px;
	width: 95%;
    padding: 12px 0px;
	margin: 10px 2.5%;
    border: none;
    border-radius: 4px;
	text-align: center;
    cursor: pointer;
}

#formbox input, #formbox select, #formbox textarea{
	width: 95%;
}

#formbox input[type="checkbox"] {
	display: inline-block;
	width: 25px;
}

.row {
	padding: 0px;
	margin: 0px;
	width:100%;
	height: auto;
	overflow: visible;
	clear: both;
}

.border {
	border: medium solid #434242;
}
.border1 {
	border: thin solid #D1Dfed;
}
.border2 {
    border: 1px solid #FF860E;
    border-radius: 10px;
}
.l_border {
	border-left: 2px solid #434242;
}
.r_border {
	border-right: 2px solid #434242;
}


.RC10 {
    border-radius: 10px;
}

#con5{
	float: left;
    width: 5%;
}
#con10{
	float: left;
    width: 10%;
}
#con20{
	float: left;
    width: 20%;
}

#con30{
	float: left;
    width: 30%;
}
#con40{
	float: left;
    width: 40%;
}
#con50{
	float: left;
    width: 50%;
}
#con60{
	float: left;
    width: 60%;
}
#con70{
	float: left;
    width: 70%;
}
#con80{
	float: left;
    width: 80%;
}
#con90{
	float: left;
    width: 90%;
}
#con100{
	float: left;
    width: 100%;
}

.col-20 {
    float: left;
    width: 20%;
}
.col-25 {
    float: left;
    width: 23%;
	margin-right:2%;
	text-align: right;
}
.col-30 {
    float: left;
    width: 30%;
}
.col-35 {
    float: left;
    width: 33%;
    margin-top: 0px;
	margin-right:2%;
	text-align: right;
}
.col-50 {
    float: left;
    width: 50%;
    margin: 0px;
	padding: 5%;
}

.col-65 {
    float: left;
    width: 64%;
}
.col-70 {
    float: left;
    width: 70%;
}
.col-75 {
    float: left;
    width: 74%;
}
.col-80 {
    float: left;
    width: 80%;
}

.col-100 {
    float: left;
    width: 100%;
}
label {
    padding: 5px;
    display: inline-block;
	font-family: roboto;
	color:#333;
}

/* Customize the label (the container) */

.formcheck {
  display: block;
  position: relative;
  padding-left: 25px;
  margin-bottom: 2px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.formcheck label {
	float: left;
    padding: 1px;
	font-family: roboto;
	color:#333;
}
/* Hide the browser's default checkbox */
.formcheck input[type="checkbox"], input[type="radio"] {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 5px;
  left: 0;
  height: 18px;
  width: 18px;
  background-color: #eee;
  border-radius: 20%;
	border: thin solid green;
}
/* On mouse-over, add a grey background color */
.formcheck:hover input ~ .checkmark {
  background-color: #212020;
}

/* When the checkbox is checked, add a blue background */
.formcheck input:checked ~ .checkmark {
  background-color:#B2FFC7;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.formcheck input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.formcheck .checkmark:after {
  left: 5px;
  top: 1px;
  width: 4px;
  height: 9px;
  border: solid green;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.circle {
  position: absolute;
  top: 5px;
  left: 0;
  height: 18px;
  width: 18px;
  background-color: #eee;
  border-radius: 50%;
	border: thin solid green;
}

/* On mouse-over, add a grey background color */
.formcheck:hover input ~ .circle{
  background-color: #212020;
}

/* When the checkbox is checked, add a blue background */
.formcheck input:checked ~ .circle{
    background-color: #B2FFC7;
}

/* Create the checkmark/indicator (hidden when not checked) */
.circle:after{
  display: none;
  content: '';
}

/* Show the checkmark when checked */
.formcheck input:checked ~  .circle:after {
  display: block;
}

/* Style the checkmark/indicator */
.formcheck .circle:after {
    position: absolute;
    top: 2.125px;
    left: 2.25px;
    width: 10.5px;
    height: 10.5px;
    border-radius: 50%;
    border: thin solid #009929;
    background-color: green;
    background-image: -webkit-linear-gradient(270deg,rgba(18,255,0,1.00) 0%,rgba(25,56,0,1.00) 100%);
    background-image: -moz-linear-gradient(270deg,rgba(18,255,0,1.00) 0%,rgba(25,56,0,1.00) 100%);
    background-image: -o-linear-gradient(270deg,rgba(18,255,0,1.00) 0%,rgba(25,56,0,1.00) 100%);
    background-image: linear-gradient(180deg,rgba(18,255,0,1.00) 0%,rgba(25,56,0,1.00) 100%);
}


input[type=checkbox] {
	width: 15px;
	height:15px;
	margin: 5px;
	font-family: roboto;
	font-size: 1em;
	font-weight: 400;
	color: #1F232F;
	}


 The container 
.container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 18px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}



/* On mouse-over, add a grey background color */
.container:hover input ~ .checkmark {
    background-color: #ccc;
}

/* When the checkbox is checked, add a blue background*/
.container input:checked ~ .checkmark {
    background-color: #90a9bf;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.container input:checked ~ .checkmark:after {
    display: block;
}

/* Style the checkmark/indicator */
.container .checkmark:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

/**/

#rows{
	position:relative;
	margin: 1px 1px 15px 1px;
	padding: 1px;
}

/* CALCULATOR FORM */
#calcform {
	margin: 2px;
	
}
#calcrow {
	margin: 15px 0px 2px 0px;
	padding: 1px;
	width:100%;
}
#calcform input, #calcform select, #calcform textarea {
	font-family: roboto;
	font-size: 1em;
	font-weight: 400;
	color:#1F232F;
    width: 100%;
    padding: 1px;
    border: 1px solid #ccc;
    border-radius: 4px;
    resize: vertical;
}
.divlabel label {
	font-size: 8pt;
	position: absolute;
	top: -14px;
	left: -8px;
    padding: 4px;
	margin-bottom: 14px;
	background-color: white;
	border-radius: 6px;
	border: thin solid #FF860E;
}

fieldset{
	border: thin solid #ccc;
	padding: 5px;
	margin-bottom: 10px;
	}

/* Clear floats after the columns */
.row:after {
    content: "";
    display: table;
    clear: both;
}


form h4 {
	display: block;
	margin: 0 auto 0 auto;
	font-size: 2.25em;
	font-family: 'PT Sans', sans-serif;
	color: #005984;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
}

.margin-left-2em {
	margin:0 0 0 2em;
}
.controlleft {
	float:left;
	width:auto;
	height:auto;
	overflow: hidden;
	margin-right:7px;
	margin-left:3px;
	cursor: pointer;
	clear: left;
}
.controlbtn {
	float:right;
	width:auto;
	height:auto;
	overflow: hidden;
	margin-right:3px;
	margin-left:7px;
	cursor: pointer;
	clear: right;
}
.controlNav {
	float:right;
	width:100%;
	height:auto;
	overflow: hidden;
	margin-right:auto;
	margin-left:auto;
	cursor: pointer;
	text-align: right;
}
.attachbtn {
	float: left;
	width:15%;
	height:auto;
	margin: 0px;
	overflow: hidden;
	cursor: pointer;
	background-color:hsla(0,0%,95%,1.00);
}
.attachbtn i{
	padding: 9px 6px;
	
}
#closeNav{
clear: both;
float:left;
	width: 100%;
}

#backBtn {
	float: left;
	height: 25px;
	width: 25px;
	margin:2px;
	color: #1F232F;
}

#closeBtn {
	float: right;
	height: 35px;
	width: 35px;
	margin:1px;
	padding: 5px;
	z-index: 1;
	clear: both;
}

#closeBtn i{
	height: auto;
	width: auto;
}

#sysbtn, #submitbtn {
	width:49%;
	height:auto;
	margin:0;
	font-family: 'Roboto', arial, sans-serif;
	font-size:1.7em;
	text-align: center;
	background-color: #005984;
	color: white;
	font-weight:bold;
	cursor: pointer;
	}

#sysbtn:hover, #submitbtn:hover  {
	background-color: green;
	}

.commbtn {
	float: left;
    background-color:#6791B3;
    margin: 2px 0 2px 0;
	padding: 5px 10px 5px 10px;
	width: auto;
	max-width: 300px;
	min-width: 125px;
	text-align: center;
    border: 1px solid #ccc;
    border-radius: 4px;
	color: white;
	font-size:18px;
	font-weight: 400;
}
.commbtn:hover {
	
}



.pin {
	width: 20px;
	height:25px;
	margin:0 0 0 5px;
	padding: 0;
	font-family: 'PT Sans', sans-serif;
	font-size: 1em;
	text-align:center;
	color: #6A6060;
	font-weight: bold;
}


.formspan-left {
	float: left;
	width: 100%;
	clear: left;
}
#formdiv {
	font-family: roboto;
	font-size: 1em;
	font-weight: 400;
	color:#1F232F;
    width: 100%;
    padding: 6px;
    border: 1px solid #ccc;
    border-radius: 4px;
    resize: vertical;
}

/* Responsive layout - when the screen is less than 600px wide, make the two columns stack on top of each other instead of next to each other */

/*
fieldset.first {
background: #E9E9E9;
}
fieldset.second {
	display: block;
	height: 30px;
	background: #D1D1D1;
	vertical-align: middle;
	text-align: center;
}
*/
#Searchbox {
	width: 100%;
}
.search-container, .password {
	float: left;
	width: 100%;
	padding: 0px;
	margin: 12px;
	
}

.search-container input[type="text"] {
	float: left;
	width: 80%;
	padding: 5px;
	margin: 0px auto;
	
}


.search-container button, .input-group button {
	float:left;
	width: 10%;
	padding: 8px;
	margin-top: 9px;
	margin: 0px;
	background: #ddd;
	font-size: 17px;
	border: none;
	cursor: pointer;
	text-align: center;
}
.input-group button {
  background: #c2d3df;
}
.search-container button:hover {
  background: #ccc;
}


/* PRODUCT FORM CSS */
#productform input, #productform select, #productform textarea {
	font-family: roboto;
	font-size: 1em;
	font-weight: 400;
	color:#1F232F;
    width: 100%;
    padding: 3px;
    border: 1px solid #ccc;
    border-radius: 4px;
    resize: vertical;
}
#productform .col-35 {
    float: left;
    width: 35%;
    margin-top: 5px;
	text-align: right;
}

#productform .col-65 {
    float: left;
    width: 65%;
    margin-top: 1px;
}

/* The message box is shown when the user clicks on the password field */
#divpassMatch {
  display:none;
  background: #f1f1f1;
  color: #000;
  position: relative;
  padding: 6px;
  margin: 5px;
}

#divpassMatch p {
  padding: 2px 10px;
	margin-left: 15px;
  font-size: 18px;
}

/* Add a green text color and a checkmark when the requirements are right */
.valid {
  color: green;
}

.valid:before {
  position: relative;
  left: -10px;
  content: "✔";
}

/* Add a red text color and an "x" icon when the requirements are wrong */
.invalid {
  color: red;
}

.invalid:before {
  position: relative;
  left: -10px;
  content: "✖";
}




#calcform input[type="radio"] {
	position: absolute;
	opacity: 0;
	height: 0;
	padding: 0px;
	margin: 0px;
}
#calcform input[type="radio"] +label img {
	width: 125px;
	padding: 0px;
	margin: 0px;
	border: none;
	display: block; 
}
#calcform input[type="radio"] + label{
    cursor: pointer;
    width: auto;
    height: auto;
    padding: 0px;
    margin: 0px;
	background-color: #ccc;
    border: medium solid #ccc;
    overflow: hidden;
}
#calcform input[type="radio"] + label:hover {
    color: #23a100;
    border: medium solid #B2FF9D;
	background-color: #B2FF9D;
}

#calcform input[type="radio"]:checked + label{
    border: medium solid #23a100;
	background-color: #B2FF9D;
	color: #23a100;

}

#calcform input[type="checkbox"] {
	position: absolute;
	opacity: 0;
	width: 0;
	height: 0;
	padding: 0px;
	margin: 0px;
}
#calcform input[type="checkbox"] +label img {
	padding: 0px;
	margin: 0px;
	border: none;
	display: block; 
}
#calcform input[type="checkbox"] + label{
    cursor: pointer;
    width: auto;
    height: auto;
    padding: 0px;
    margin: 0px;
	background-color: #ccc;
    border: medium solid #ccc;
    overflow: hidden;
}
#calcform input[type="checkbox"] + label:hover {
    color: #23a100;
    border: medium solid #B2FF9D;
	background-color: #B2FF9D;
}

#calcform input[type="checkbox"]:checked + label{
    border: medium solid #23a100;
	background-color: #B2FF9D;
	color: white;
}

#calcform input[type="submit"]{
	background-color:#434242;
	color: white;
}

#calcform input[type="submit"]:hover{
	background-color: #B2FF9D;	
	color: #434242;
}

#presetform label{
    float: left;
	width: 100%;
	padding: 5px;
    display: block;
	font-family: roboto;
	color:#333;
}

.fancybox {
    width: 50%;
	margin-left: auto;
	margin-right: auto;
}
.fancybox-slide--iframe .fancybox-content {
    width  : 80%;
    height : 95%;
    margin: 0;
}
/**/

/*=======================================================*/

@media screen and (max-width: 600px) {

.col-25, .col-35, .col-65, .col-75{
    float: left;
	width: 100%;
    margin: 0;
	padding: 5px 10px;
	text-align: left;
    }
.search-container {
    float: none;
  }
 .search-container input[type=text], .search-container button {
    float: none;
    display: block;
    text-align: center;
    width: 100%;
    margin: 0;
    padding: 14px;
  }
  .search-container input[type=text] {
    border: 1px solid #ccc;  
  }

.fancybox-slide--iframe .fancybox-content {
    width  : 95%;
    height : 95%;
    max-width  : 95%;
    max-height : 95%;
    margin: 2.5%;
}
	
/* form .formbtn input[type="radio"] + label{
    width: 100%;
	padding: 10px;
	text-align: center;
}

form .formbtn input[type="checkbox"] + label{
    width: 100%;
	padding: 10px;
	text-align: center;
}
	*/

}